WordPress.org

Ready to get started?Download WordPress

Forums

Error occur after Update "Google Sitemap Generator" Plugin (5 posts)

  1. androidgames
    Member
    Posted 4 years ago #

    Hi, i'm just wondering that after UPDATE the new google sitemap generator plugin from version 3.1.3 to version 3.1.4.

    i have this error on top of my WordPress Admin page.

    Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, 'GA_Admin::add_config_page' was given in /home/slrou/public_html/wp-includes/plugin.php on line 339

    and it right after I upgrade the Sitemap plugin.
    But beside that the "google sitemap generator 3.1.4" work perfectly.

    but the only thing this error pissed me off is that I CAN't EDIT anything :(

    I can't post, i change edit my template... basically can't EDIT :( when I try to edit something i also get this error Above my "wordpress Admin page"

    Warning: Cannot modify header information - headers already sent by (output started at /home/slrou/public_html/wp-includes/plugin.php:339) in /home/slrou/public_html/wp-admin/theme-editor.php on line 69

    But I think this error occur, because of the 1st error.

    Can Someone help me resolve this issue? thank you ver much.

  2. androidgames
    Member
    Posted 4 years ago #

    i guess no one have an answer then :(

  3. Shane G
    Member
    Posted 4 years ago #

    Hi,

    Which wordpress version are you using?

    It seems that your wordpress version is not the latest one and you are using the latest google sitemap generator plugin.

    If your wordpress is upgraded to the latest then redo the upgrade of plugin and manually upgrade it..

    Also check with disabling all the plugins and enable it one by one to find out the culprit.

    Thanks,

    Shane G.

  4. androidgames
    Member
    Posted 4 years ago #

    yes my wordpress is up todate... and also... i can't post or edit or deactivate any pluging.. because the ERROR is "GA_admin" which i guess that error won't let me do anything in the admin page.

    and it always have this error when i try to edit something even deactivat plugin:

    arning: Cannot modify header information - headers already sent by (output started at /home/slrou/public_html/wp-includes/plugin.php:339) in /home/slrou/public_html/wp-admin/theme-editor.php on line 69

  5. farid26
    Member
    Posted 4 years ago #

    You just remove any extra "spaces" from your function.php (and other function or function/file). Dreamwaver can help you to remove/select that spaces. Just go to Dreamwaver's "View->Code View Options->Hidden Characters" now you can see hidden spaces (like '....'). Clear all this spaces & use tab instead of spaces for sorting code.

Topic Closed

This topic has been closed to new replies.

About this Topic